Download it now!
Bug 50703 - Use Blowfish encryption in ODF 1.2 backward-compatibility mode
Summary: Use Blowfish encryption in ODF 1.2 backward-compatibility mode
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:3.6.0.0.beta1
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-04 19:57 UTC by Thorsten Behrens (CIB)
Modified: 2012-08-03 09:21 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thorsten Behrens (CIB) 2012-06-04 19:57:53 UTC
Related: bug 47484 - so with 3.6, we'll introduce a new ODF1.2 compat-mode, that switches off several new features known to cause trouble with downlevel consumers.
Comment 1 Thorsten Behrens (CIB) 2012-06-04 19:58:21 UTC
Fixing for 3.6.
Comment 2 Not Assigned 2012-06-04 20:14:15 UTC
Thorsten Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d3c189fa742f0b21f99a8f3b1ebafe71c130d8d5

Fix fdo#50703 clamp ODF1.2 compatibility-mode to use old encryption.
Comment 3 Rainer Bielefeld Retired 2012-08-03 09:21:10 UTC
We need exact and correct target information for automated lists in Wiki and LibO Web Site.